## ros-dashing-rmw-gurumdds-cpp 0.7.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmw_gurumdds_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)
find_package(gurumdds_cmake_module REQUIRED)

find_package(GurumDDS QUIET MODULE)
if(GurumDDS_FOUND)
  find_package(GurumDDS MODULE)
endif()
if(NOT GurumDDS_FOUND OR GURUMDDS_STATIC_DISABLE)
  ament_package()
  if(NOT GurumDDS_FOUND)
    message(WARNING "Could not find GurumDDS - skipping '${PROJECT_NAME}'")
  else()
    message(STATUS "GurumDDS static rmw implementation explicitly disabled - skipping '${PROJECT_NAME}'")
  endif()
  return()
endif()

find_package(rosidl_typesupport_introspection_c)
if(NOT rosidl_typesupport_introspection_c_FOUND)
  ament_package()
  message(WARNING "Could not find ROSIDL TypeSupport for GurumDDS (rosidl_typesupport_introspection_c) - skipping '${PROJECT_NAME}'")
  return()
endif()

find_package(rosidl_typesupport_introspection_cpp)
if(NOT rosidl_typesupport_introspection_cpp_FOUND)
  ament_package()
  message(WARNING "Could not find ROSIDL TypeSupport for GurumDDS (rosidl_typesupport_introspection_cpp) - skipping '${PROJECT_NAME}'")
  return()
endif()

find_package(rmw REQUIRED)
find_package(rmw_gurumdds_shared_cpp REQUIRED)
find_package(rosidl_generator_c REQUIRED)
find_package(rosidl_generator_cpp REQUIRED)

include_directories(include)

add_library(rmw_gurumdds_cpp
  SHARED
  src/identifier.cpp
  src/message_converter.cpp
  src/serialization_format.cpp
  src/rmw_client.cpp
  src/rmw_compare_gids_equal.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_get_implementation_identifier.cpp
  src/rmw_get_serialization_format.cpp
  src/rmw_guard_condition.cpp
  src/rmw_init.cpp
  src/rmw_logging.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_publisher.cpp
  src/rmw_request.cpp
  src/rmw_response.cpp
  src/rmw_serialize.cpp
  src/rmw_service.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_subscription.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_wait.cpp
  src/type_support_common.hpp
  src/types.cpp
  src/get_entities.cpp
)

ament_target_dependencies(rmw_gurumdds_cpp
  "rcutils"
  "rosidl_typesupport_introspection_c"
  "rosidl_typesupport_introspection_cpp"
  "rmw_gurumdds_shared_cpp"
  "rmw"
  "rosidl_generator_c"
  "rosidl_generator_cpp"
  "GurumDDS")

ament_export_include_directories(include)
ament_export_libraries(rmw_gurumdds_cpp)

ament_export_dependencies(
  rosidl_typesupport_introspection_cpp
  rosidl_typesupport_introspection_c
  rosidl_generator_c
  rosidl_generator_cpp
  rcutils
  rmw_gurumdds_shared_cpp
  rmw
)

register_rmw_implementation(
  "c:rosidl_typesupport_c:rosidl_typesupport_introspection_c"
  "cpp:rosidl_typesupport_cpp:rosidl_typesupport_introspection_cpp")

configure_rmw_library(rmw_gurumdds_cpp)

# Causes the visibility macros to use dllexport rather than dllimport
# which is appropriate when building the library but not consuming it.
target_compile_definitions(rmw_gurumdds_cpp PRIVATE "RMW_GURUMDDS_CPP_BUILDING_LIBRARY")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS_POST "rmw_gurumdds_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_gurumdds_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-dashing-rmw-gurumdds-cpp (0.7.12-1bionic) bionic; urgency=high

  * Update code about build error on windows
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 06 May 2021 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.11-1bionic) bionic; urgency=high

  * Use dds_free instead of free for dll library
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.10-1bionic) bionic; urgency=high

  * Change maintainer
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 09 Mar 2021 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.9-1bionic) bionic; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 18 Nov 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.8-1bionic) bionic; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.7-1bionic) bionic; urgency=high

  * Renamed rmw_gurumdds_dynamic_cpp to rmw_gurumdds_cpp
  * Renamed rmw_gurumdds_cpp to rmw_gurumdds_static_cpp
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Sun, 05 Jul 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.6-1bionic) bionic; urgency=high

  * Updated packages to use gurumdds-2.6
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 03 Jun 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.5-1bionic) bionic; urgency=high

  * Fixed template specialization
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 15 Apr 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.4-1bionic) bionic; urgency=high

  * Fixed serialization/deserialization errors
  * Fixed some errors
    * added missing qos finalization
    * fixed issue that topic endpoint info was not handled correctly
    * added null check to builtin datareader callbacks
  * Added qos finalization after creating publisher/subscriber
  * Implemented rmw_serialize/rmw_deserialize
  * Implemented client
  * Implemented service
  * Fixed code style divergence
  * Implemented subscription
  * Fixed some errors in cdr buffer
  * Implemented publisher
  * Implemented serialization/deserialization
  * Suppress complie warnings
  * Modified structures in types.hpp
  * Implemented create_metastring()
  * added rmw_gurumdds_cpp
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 31 Mar 2020 15:00:00 -0000

=== debian/control ===
Source: ros-dashing-rmw-gurumdds-cpp
Section: misc
Priority: optional
Maintainer: Youngjin Yun <youngjin@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.7, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-gurumdds-cmake-module, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rmw-gurumdds-shared-cpp, ros-dashing-rosidl-cmake, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-generator-dds-idl, ros-dashing-rosidl-typesupport-introspection-c, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rmw-gurumdds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gurumdds-2.7, ros-dashing-gurumdds-cmake-module, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rmw-gurumdds-shared-cpp, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-typesupport-introspection-c, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-ros-workspace
Description: Implement the ROS middleware interface using GurumNetworks GurumDDS static code generation in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rmw-gurumdds-cpp//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
